# kdeui Library API Documentation

Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Source Files

# KWidgetAction Class Reference

An action that automatically embeds a widget into a toolbar. More...

`#include <kaction.h>`

Inheritance diagram for KWidgetAction:

[legend]
Collaboration diagram for KWidgetAction:

[legend]
List of all members.

## Public Member Functions

| KWidgetAction (QWidget *widget, const QString &text, const KShortcut &cut, const QObject *receiver, const char *slot, KActionCollection *parent, const char *name)
| Create an action that will embed widget into a toolbar when plugged.
QWidget * | widget ()
| Returns the widget associated with this action.
void | setAutoSized (bool)
virtual int | plug (QWidget *w, int index=-1)
| Plug the action.
virtual void | unplug (QWidget *w)
| Unplug the action.

## Protected Slots

void | slotToolbarDestroyed ()

## Protected Member Functions

virtual void | virtual_hook (int id, void *data)

## Detailed Description

An action that automatically embeds a widget into a toolbar.

Definition at line 1696 of file kaction.h.

## Constructor & Destructor Documentation

KWidgetAction::KWidgetAction | ( | QWidget * | widget,
|  | const QString & | text,
|  | const KShortcut & | cut,
|  | const QObject * | receiver,
|  | const char * | slot,
|  | KActionCollection * | parent,
|  | const char * | name
| ) |

| Create an action that will embed widget into a toolbar when plugged. This action may only be plugged into a toolbar. Definition at line 2914 of file kaction.cpp. References KStdAccel::cut(), and KStdAccel::name().

## Member Function Documentation

QWidget* KWidgetAction::widget | ( |  | ) | `[inline]`

| Returns the widget associated with this action. Definition at line 1714 of file kaction.h.

int KWidgetAction::plug | ( | QWidget * | w,
|  | int | index = -1
| ) | `[virtual]`

| Plug the action. The widget passed to the constructor will be reparented to w, which must inherit KToolBar. Reimplemented from KAction. Definition at line 2947 of file kaction.cpp. References QObject::connect(), QObject::destroyed(), KToolBar::insertWidget(), QObject::name(), and KToolBar::setItemAutoSized().

void KWidgetAction::unplug | ( | QWidget * | w | ) | `[virtual]`

| Unplug the action. Ensures that the action is not destroyed. It will be hidden and reparented to 0L instead. Reimplemented from KAction. Definition at line 2977 of file kaction.cpp. References QObject::disconnect(), KAction::isPlugged(), and KAction::unplug().

The documentation for this class was generated from the following files:

- kaction.h
- kaction.cpp

This file is part of the documentation for kdelibs Version 3.1.5.
Documentation copyright © 1996-2002 the KDE developers.
Generated on Wed Jan 28 13:05:22 2004 by doxygen 1.3.4 written by Dimitri van Heesch, © 1997-2001